PEGASUS-CREATE-DIR(1)

NAME
pegasus-create-dir - Creates work directories in Pegasus workflows.

SYNOPSIS

pegasus-create-dir [-h][-l level][-u URL]

DESCRIPTION

pegasus-create-dir creates a directory for the given URL. Some of the protocols it can handle are GridFTP, SRM, Amazon S3, HTTP, and file:// (using mkdir).

Note that pegasus-create-dir is a tool mostly used internally in Pegasus workflows, but the tool can be used stand alone as well.

OPTIONS

-h, --help
    Prints a usage summary with all the available command-line options.

-l level, --loglevel level
    The debugging output level. Valid values are debug, info, warning, and error. Default value is info.

-u URL, --url URL
    Specifies the directory to create.

-s URL, --site URL
    Name of the targeted site. This is used when determining which credential to use.

EXAMPLE

    $ pegasus-create-dir -s some_site_name -u gsiftp://somehost/some/path

CREDENTIAL HANDLING

Credentials used for create dir can be specified with a combination of comments in the input file format and environment variables. For example, give the input file above, pegasus-create-dir will expect either one environment variable specifying one generic credential (X509_USER_PROXY), or a specific one for the site named on the command line (X509_USER_PROXY_some_site_name).

AUTHORS

Pegasus Team http://pegasus.isi.edu